using DeviceRepair.Models.Enum;
using System;

namespace DeviceRepair.Models.OperationHistory
{
    /// <summary>
    /// 表格结果显示列
    /// </summary>
    public class HistoryGridColumn
    {
        #region Property

        public string ColumnCode
        {
            get;
            set;
        }
        public string ColumnDescription
        {
            get;
            set;
        }

        public Type ColumnType
        {
            get;
            set;
        }

        public string FormatString
        {
            get; set;
        }

        //列展示顺序【预留】
        public int ShowSequence
        {
            get;
            set;
        }
        //是否允许打印【预留】
        public bool AllowPrint
        {
            get;
            set;
        }
        //是否允许打印【导出】
        public bool AllowExport
        {
            get;
            set;
        }
        /// <summary>
        /// 控件类型
        /// </summary>
        public HistoryFilterCtlType CtlType
        {
            get;
            set;
        }

        #endregion

        #region Ctor

        public HistoryGridColumn()
        {
            ShowSequence = 0;
        }

        #endregion
    }
}
